path: /build/build/macaroni-funtoo-race4-seed-0.20240805.package.tar.zst
dependencies: []
compilespec:
  steps:
  - if [ ! -e /etc/passwd ] ; then touch /etc/passwd ; fi && if [ ! -e /etc/shadow
    ] ; then touch /etc/shadow ; fi && if [ ! -e /etc/group ] ; then touch /etc/group
    ; fi && if [ ! -e /etc/gshadow ] ; then touch /etc/gshadow ; fi && if [ ! -d /tmp
    ] ; then mkdir /tmp ; fi && if [ ! -d /var ] ; then mkdir /var ; fi && if [ !
    -d /root ] ; then mkdir /root ; fi && chmod a+x /var && chmod a+rwx /tmp
  - luet install virtual-entities/base --force
  - luet install --force system/luet-devkit app-admin/macaronictl utils/jq utils/yq
    dev-util/pkgs-checker-minimal kernel/macaroni-lts-sources && eselect kernel set
    1 && luet cleanup
  - cat /etc/luet/luet.yaml && luet miner ri virtual/base virtual/sh && luet repo
    update && luet upgrade && luet i toolchain/base-extra toolchain/base-python toolchain/base-tools
    toolchain/base-tools2 && luet cleanup && /usr/bin/gcc-config 1 && eselect gcc
    set 1 && eselect rust cleanup && mkdir -p /var/lib/portage && epro list && eval
    'rm /etc/localtime || true' && ln -s /usr/share/zoneinfo/Europe/Rome /etc/localtime
    && echo "PYTHONPATH=\"/usr/lib64/python3.9/site-packages/\"" > /etc/env.d/99python
    && echo "PORTAGE_PYTHONPATH=\"/usr/lib64/python3.9/site-packages/\"" >> /etc/env.d/99python
    && macaronictl env-update eval 'locale-gen || true' && build-docbook-catalog &&
    whip hook eclass_db.db_fix_so && whip hook perl.postinst && cd / && rm -rf /luetbuild
    && mkdir /layer
  env:
  - LUET_YES=true
  - LUET_NOLOCK=true
  - HTTP_TIMEOUT=0
  prelude: []
  image: scratch
  seed: scratch
  package:
    name: macaroni-funtoo-race4
    version: "0.20240805"
    category: seed
    hidden: true
    buildtimestamp: 2024-08-05 20:10:28.079717567 +0000 UTC m=+1152.870154487
    treedir: /build/packages
  package_dir: /layer
  retrieve: []
  unpack: false
  includes: []
  excludes: []
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy:
  - package: null
    image: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:f6e940fa5f36f4b31431b90d09dd4bf0b4cb9689944935e332f4a49191ae26bc
    source: /macaroni-funtoo
    destination: /
  requires_final_images: false
checksums:
  sha256: 46995db4b389b894d512d6d1114535e02adf710a54ca68837fead903aef5c022
compressiontype: zstd
files: []
package_cacheimage: ""
runtime:
  name: macaroni-funtoo-race4
  version: "0.20240805"
  category: seed
  hidden: true
